/***************************************************************************
 * assistantguitest.cpp
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2004-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#include "assistantguitest.h"
#include "src/header.h"

#include "src/assistant/assistant.h"

#include <QTest>

void AssistantGuiTest::testAssistant()
{
/*	TSE3::MidiSchedulerFactory factory;
	Assistant assistant(factory, 0);
	
	Settings::timidityReverb();
	Settings::timidityVlpf();
	Settings::timidityBuffer();
	Settings::timidityFrequency();
	Settings::timidityRealTime();
	Settings::timidityRealTimeEnable();
	Settings::timidityResamp();
	Settings::timidityNoise();
	Settings::timidityDelay();
	Settings::timidityChorus();
	Settings::timidityOutput();
	Settings::timidityFragment();
	Settings::timidityPath();
	Settings::midiTimidity();
	Settings::midiPortNumber();
	
	assistant.exec();*/
}

//QTEST_MAIN(AssistantGuiTest)

int main(int argc, char *argv[])
{
	/*TSE3::MidiSchedulerFactory factory;
	QApplication app(argc, argv);
	Assistant assistant(factory, 0);
	return assistant.exec();*/
}
#include "assistantguitest.moc"
